# Cursor Restore [![pipeline status](https://gitlab.com/yoginth/cursor-restore/badges/master/pipeline.svg)](https://gitlab.com/yoginth/cursor-restore/commits/master)

[![NPM](https://nodei.co/npm/cursor-restore.png)](https://nodei.co/npm/cursor-restore/)

> Gracefully restore the CLI cursor on exit

Prevent the cursor you've hidden interactively from remaining hidden if the process crashes.

## Test in Runkit

[Click to open Runkit.](https://runkit.com/yoginth/cursor-restore)

## Install

```
$ npm install --save cursor-restore
```

<a href="https://www.patreon.com/yoginth">
	<img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="160">
</a>

## Usage

```js
const cursorRestore = require('cursor-restore');
cursorRestore();
```

## Thanks

- [Sindre Sorhus](https://sindresorhus.com)

## License

MIT © [Yoginth](https://yoginth.ml)
